.verticaalform {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid var(--primary-color);
  border-radius: 4px;
  box-sizing: border-box;
}
.checkbox {
  width: fit-content;
}
/*
input[type=submit], input[type=reset], .edit-button, .delete-button, .filter-button, .save-button, .cancel-button, .button {
    background-color: var(--call-to-action-color);
    border: none;
    color: var(--background-color);
    padding: 8px 15px;
    text-decoration: none;
    cursor: pointer;
    border-radius: 4px;
    font-size: 1.25rem;
    text-decoration-thickness: 20px;
}*/

.centered-form {
  padding-top: 25px;
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
  text-align: left;
}
/* Filter styling*/
.full-width-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
}
.c-full-width-container--justify-end {
  justify-content: end;
  gap: 1rem;
}
.filter-form {
  overflow-y: scroll;
  position: fixed;
  display: none;
  max-width: 400px;
  right: 0;
  padding: 15px 15px 5px 15px;
  z-index: 3;
  background-color: var(--background-color);
  height: 80%; /* Adjust this value as needed */
}
.filter {
  margin: auto;
  margin-bottom: 6px;
  width: 80%;
}
.inputfilter {
  display: inline-block;
  width: 100%;
}

.labelfilter {
  font-size: 0.875rem;
  width: 150px;
  display: block;
}
.filter-form input[type="submit"],
.filter-form input[type="reset"] {
  width: 48%;
  height: fit-content;
  margin: 0;
}
.filter-buttons {
  width: 80%;
  margin: auto;
  margin-bottom: 4rem;
  display: flex;
  justify-content: space-between;
}
.simple-form {
  width: fit-content;
  margin: auto;
}
/* .simple-form-left {
} */
.simple-form .formrow,
.simple-form-left .formrow {
  display: block;
  text-align: left;
}
.simple-form .form-element,
.simple-form-left .form-element {
  display: inline-block;
  padding: 15px;
  overflow: hidden;
}
.c-accountform {
  padding: 0;
}
@media screen and (max-width: 900px) {
  .simple-form .form-element,
  .simple-form-left .form-element {
    display: block;
    padding: 15px;
    margin: auto;
    width: fit-content;
  }
  .centered-form {
    width: 100%;
  }
}
.simple-form-left .form-element {
  width: 100%;
}
.simple-form .form-element input:not(input[type="checkbox"]),
.simple-form-left .form-element input:not(input[type="checkbox"]), .c-simple-input {
  border: none;
  border-bottom: 1px solid black;
  width: 400px;
  background-color: transparent;
  font-family: var(--fonts-type);
}
#webshop-filters {
  display: flex;
  width: 100%;
  margin: auto;
  justify-content: center;
  position: sticky;
  top: 80px;
  z-index: 3;
  padding: 1rem;
  background-color: var(--background-color);
  flex-wrap: wrap;
}
@media screen and (max-width: 600px) {
  .simple-form .form-element input:not(input[type="checkbox"]),
  .simple-form-left .form-element input:not(input[type="checkbox"]),
  .simple-form .form-element textarea {
    border: none;
    border-bottom: 1px solid black;
    max-width: 350px;
    background-color: transparent;
    font-family: var(--fonts-type);
  }
  .simple-form-left .form-element {
    max-width: 350px;
  }
  .simple-form .formrow,
  .simple-form-left .formrow {
    display: block;
    text-align: center;
  }
  #webshop-filters {
    max-width: 350px;
  }
  .simple-form p {
    max-width: 350px;
    margin: auto;
  }
  .textarea-element {
    width: 100%;
    max-width: 350px;
    box-sizing: content-box;
  }
}
@media screen and (max-width: 400px) {
  .simple-form .form-element input:not(input[type="checkbox"]),
  .simple-form-left .form-element input:not(input[type="checkbox"]),
  .simple-form .form-element textarea {
    border: none;
    border-bottom: 1px solid black;
    max-width: 250px;
    background-color: transparent;
    font-family: var(--fonts-type);
  }
  .simple-form-left .form-element {
    max-width: 250px;
  }
  .simple-form .formrow,
  .simple-form-left .formrow {
    display: block;
    text-align: center;
  }
  .simple-form p {
    max-width: 250px;
    margin: auto;
  }
  .textarea-element {
    width: 100%;
    max-width: 250px;
    box-sizing: content-box;
  }
  #webshop-filters{
    top: 57px;
  }
}

/* @media screen and (max-width: 350px) {
    .simple-form .form-element input, .simple-form-left .form-element input, .simple-form .form-element textarea{
        border: none;
        border-bottom: 1px solid black;
        max-width: 250px;
        background-color: transparent;
        font-family: var(--fonts-type);
    } 
    .simple-form p{
        max-width: 250px;
        margin: auto;
    }
    .textarea-element {
        width: 100%;
        max-width: 250px;
        box-sizing:content-box ;
    }
} */
.simple-form-left .form-element input:not(input[type="checkbox"]) {
  width: 100%;
}
.simple-form .form-element textarea,
.simple-form-left .form-element textarea {
  border: 1px solid black;
}
.simple-form .form-element input:focus-visible,
.simple-form-left .form-element input:focus-visible {
  border-bottom: 2px solid black;
  outline: none;
}
.simple-form .form-element textarea:focus-visible,
.simple-form-left .form-element textarea:focus-visible {
  border: 2px solid black;
  outline: none;
}
.simple-form .form-element.full-width-container,
.simple-form-left .form-element.full-width-container {
  width: 100%;
  box-sizing: border-box;
}
.simple-form p,
.simple-form-left p {
  text-align: left;
}
.simple-form input[type="submit"],
.simple-form-left input[type="submit"] {
  display: block;
  margin: 15px;
  margin-left: auto;
}
.simple-form textarea,
.simple-form-left textarea {
  width: 100%;
  box-sizing: border-box;
}
textarea {
  resize: none;
}
td textarea {
  resize: vertical;
  width: 100%;
}
#wachtwoord.error input,
#mail.error input {
  border: 1px solid var(--error-color);
  border-radius: 5px;
  padding: 5px;
  transition: 0.2s;
}
.error-message {
  user-select: none;
  color: transparent;
}
#wachtwoord.error .error-message {
  user-select: text;

  display: block;
  color: var(--error-color);
  font-size: 0.8em;
}
#mail.error .error-message {
  user-select: text;

  display: block;
  color: var(--error-color);
  font-size: 0.8em;
}

.select {
  display: block;
  margin-bottom: 0.8rem;
}
.full-width-label {
  width: 100%;
  text-align: left;
  display: block;
  margin-bottom: 1rem;
}
/* #account-form {
  width: 100%;
} */
.flex-centered-form {
  display: flex;
  justify-content: start;
  align-items: center;
  padding: 15px;
  gap: 10px;
  flex-wrap: wrap;
}
/* #addToShoppingCartForm select,
.cart-items-form select {
   margin-left: 0.5rem; 
} */

@media screen and (max-width: 900px) {
  .right-div .right-aligned {
    float: left;
    margin-left: 1rem;
  }
}
@media screen and (max-width: 800px) {
  .right-div .right-aligned {
    float: left;
    margin-left: 0rem;
  }
}
